pyro4_4.61-1_all.deb


Advertisement

Description

pyro4 - distributed object middleware for Python (RPC)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pyro4
Package version 4.61
Package release 1
Package architecture all
Package type deb
Installed size 22 B
Download size 3.93 KB
Official Mirror archive.ubuntu.com
Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
system for Python. In a distributed object system, clients send requests to
distant servers, which owns the remote objects. Pyro simplifies a lot the
creation of clients and servers, and has among its features:
- dynamic and static proxies for all remote method invocations,
- a naming service which keeps record of the location of objects,
- mobile objects support: clients and servers can pass objects around,
- exceptions that occur in the remote object is raised on the client too,
- multithreaded server support to handle multiple requests simultaneously.
This metapackage depends on the on the Python variant the user needs.
The documentation is available in the pyro4-doc package.
A lot of examples are available in the pyro4-examples package.

Alternatives

Package Version Architecture Repository
pyro4_4.61-1_all.deb 4.61 all Ubuntu Universe
pyro4 - - -

Requires

Name Value
lsb-base -
python2-pyro4 -
python3-pyro4 -

Download

Type URL
Binary Package pyro4_4.61-1_all.deb
Source Package pyro4

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyro4 deb package:
    # sudo apt-get install pyro4

Files

Path
/etc/default/pyro4-nsd
/etc/init.d/pyro4-nsd
/usr/share/doc/pyro4/changelog.Debian.gz
/usr/share/doc/pyro4/copyright

Changelog

2017-07-23 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.61-1) unstable; urgency=medium
* New upstream release.
* Serpent 1.23 or greater is now required.
* Correct duplicate documentation removal (closes: #869432).
* Update Standards-Version to 4.0.0 .
2017-02-06 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.53-3) unstable; urgency=medium
* Remove Python2 compatibility patch.
* Depend on python2-selectors34 for real Python2 compatibility
(closes: #852245).
2017-01-23 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.53-2) unstable; urgency=medium
* Rework Python version detection.
* Remove requires.txt from the installed files.
[ Marcin Kulisz <debian@kulisz.net> ]
* Fix Python2 compatibility (closes: #852245).
2017-01-06 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.53-1) unstable; urgency=low
* New upstream release.
* Minimum Python3 version is 3.4 now.
* Add python{,3}-setuptools to Build-Depends-Indep for installing tools.
* Packages of python{2,3}-pyro4 conflict with each other due to tools.
* Depend on up-to-date Serpent serialization library.
* Use packaged jQuery and Underscore JavaScript libraries for documentation.
* Add lsb-base dependency to the pyro4 package.
* Make rebuildable.
* Update watch file.
* Update debhelper level to 10 .
2016-05-05 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.43-1) unstable; urgency=low
* New upstream release.
2016-04-21 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.42-1) unstable; urgency=low
* New upstream release.
* Don't suggest unmaintained pyro package.
2016-04-14 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.41-1) unstable; urgency=low
* New upstream release (closes: #788527).
* Drop all patches, merged upstream.
* Tighten Serpent dependency.
* Switch to Pybuild build system.
* Update Standards-Version to 3.9.8 .
2015-02-21 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.23-2) unstable; urgency=low
* Add missing serpent dependency (closes: #745437).
* Add dh-python build dependency to prevent possible future FTBFS.
* Update Standards-Version to 3.9.6 .
2014-02-01 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.23-1) unstable; urgency=low
* New upstream release.
* Update Standards-Version to 3.9.5 .
2013-09-19 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
pyro4 (4.22-1) unstable; urgency=low
* New upstream release.
* Add patch to source init functions for systemd support.

See Also

Package Description
pyro_3.16-1_all.deb distributed object system for Python
pyroman_0.5.0-1_all.deb Very fast firewall configuration tool
pyromaths_11.05.1b2-0ubuntu1_all.deb Generator for math worksheets for french college
pyroom_0.4.1-6_all.deb distractionless fullscreen text editor
pysassc_0.12.3-2ubuntu4_all.deb SASS for Python: command line utility for libsass
pysatellites_2.4-2_all.deb simulates the launching of satellites
pyscanfcs_0.2.3-3ubuntu3_i386.deb scientific tool for perpendicular line scanning FCS
pyscrabble-common_1.6.2-10_all.deb multiplayer scrabble implementation - common files
pyscrabble-server_1.6.2-10_all.deb scrabble implementation written in Python - server part
pyscrabble_1.6.2-10_all.deb multiplayer scrabble implementation written in Python - client part
pysdl2-doc_0.9.3+dfsg2-1_all.deb Python bindings to the SDL2 C-library - documentation
pyside-tools_0.2.15-1_i386.deb development tools for PySide (uic, rcc, lupdate)
pysieved_1.2-1_all.deb managesieve server
pysiogame_3.60.814-2_all.deb educational activity pack for kids
pysolfc-cardsets_2.0+dfsg2-2_all.deb additional card graphics for PysolFC
Advertisement
Advertisement